## org.apache.hadoop.io
Class TwoDArrayWritable

    java.lang.Object
      org.apache.hadoop.io.TwoDArrayWritable

All Implemented Interfaces:
  Writable

    public class TwoDArrayWritable

extends Object
implements Writable

A Writable for 2D arrays containing a matrix of instances of a class.

Constructor Summary
`TwoDArrayWritable(Class valueClass)`
`TwoDArrayWritable(Class valueClass, Writable[][] values)`

Method Summary
`Writable[][]` `get()`
`void` `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` `set(Writable[][] values)`
`Object` `toArray()`
`void` `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TwoDArrayWritable

    public TwoDArrayWritable(Class valueClass)

### TwoDArrayWritable

    public TwoDArrayWritable(Class valueClass,
                             Writable[][] values)

Method Detail

### toArray

    public Object toArray()

### set

    public void set(Writable[][] values)

### get

    public Writable[][] get()

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation